local base = require("Chat.Model.ChatRoomData")
local ChatMomentData = BaseClass("ChatMomentData", base)

function ChatMomentData:getNewMsgNum()
  return 0
end

function ChatMomentData:readMsg()
  local type = self.group == ChatGroupType.GROUP_ALLIANCE_FRIENDS_CIRCLE and MomentType.Alliance or MomentType.Follow
  ChatManager2:GetInstance().Net:SendMessage(ChatMsgDefines.MomentReadMsg, {type = type})
end

return ChatMomentData
